curl --request GET \
--url https://api.scale.com/v2/deliveries \
--header 'Authorization: Bearer <token>'{
"deliveries": [
{
"id": "delivery_abc123",
"name": "My Scale Delivery",
"task_count": 1000,
"delivered_at": "2023-11-07T05:31:56Z",
"project": "project_abc123"
}
]
}{
"status_code": 500,
"error": "An error has occurred."
}Deliveries
List All Deliveries
Lists of Deliveries from a Project.
GET
/
v2
/
deliveries
curl --request GET \
--url https://api.scale.com/v2/deliveries \
--header 'Authorization: Bearer <token>'{
"deliveries": [
{
"id": "delivery_abc123",
"name": "My Scale Delivery",
"task_count": 1000,
"delivered_at": "2023-11-07T05:31:56Z",
"project": "project_abc123"
}
]
}{
"status_code": 500,
"error": "An error has occurred."
}Authentication
Authentication
Every request sent to Scale’s API requires authentication. In short, your API Key is the Bearer token. See the Authentication section for more details.
Required query parameters
You are expected to provide one of the following to find deliveries:project_id- The ID of the Scale project.project_name- The name of the Scale project.
Authorizations
bearerAuthbasicAuth
Your API Key is the Bearer token. See the Authentication section to learn how to access your key.
Query Parameters
Scale's unique identifier for the project. A unique identifier for the project.
Example:
"project_abc123"
The name of the project.
Example:
"My Scale Project"
A timestamp formatted as an ISO 8601 date-time string.
A timestamp formatted as an ISO 8601 date-time string.
Response
List of deliveries.
Array of delivery objects
Show child attributes
Show child attributes

